///////////////////////////////////////////////////////////////////
// Sample code for using "mydclgen"
//
// 1999 by Peter Hellmann
///////////////////////////////////////////////////////////////////

// The SQL definitions
EXEC SQL INCLUDE sqlca;

// include symbolic constants here
#include "mydclgen_Const.h"

// include structs in declare section
EXEC SQL BEGIN DECLARE SECTION;
  EXEC SQL INCLUDE '../includes/mydclgen_Struct.h'; 
EXEC SQL END DECLARE SECTION;


// sample select
EXEC SQL SELECT *
         INTO :Smytable:Nmytable
         FROM  mytable
         WHERE mytable.pk = 1;
  

// sample insert

// set NULL values
for (i=0;i<mytable_DIM;i++) {Nmytable[i] = SQL_INDICATOR_NOT_NULL;}; // clear all indicators
// if column must be NULL at insert time, set appropriate short in short-array,
// indexed by mydclgen-generated symbolic constant. if you add fields later to the
// table, mydclgen will automatically correct the index
Nmytable[MYTABLE_mycolumn_INX] = SQL_INDICATOR_NULL; // set to NULL if needed for insert

// fill record
Smytable.pk = 10;
// example of using symbolic constants
strncpy(Smytable.column1,"mydclgen",MYTABLE_column1_LEN -1);
strncpy(Smytable.column2,"is",MYTABLE_column2_LEN -1);
strncpy(Smytable.column3,"cool",MYTABLE_column3_LEN -1);


EXEC SQL INSERT INTO bobbin VALUES (:Smytable:Nmytable); 
    
